Inventory Impex (OCI)

POST Exports the entire location graph for the specified organization.

POST /organizations/{organizationId}/location-graph/exports

Operation ID: getLocationGraphExport. Security: AmOAuth2 (sfcc.inventory.impex-graphs, sfcc_inventory_impex_graphs).

Parameters

  • organizationId (path, OrganizationId, required) An identifier for the organization the request is being made by

    Example

    f_ecom_zzxy_prd

Responses

  • 200 Successfully initiated location graph export.

    Headers:

    • X-RateLimit-Limit (string) The maximum number of requests permitted per minute.
    • X-RateLimit-Remaining (string) The number of requests remaining in the current rate limit window.
    • X-RateLimit-Reset (string) The time at which the current rate limit window resets in UTC epoch seconds.

    Media type: application/json. Schema: InitiateLocationGraphExportResponse.

    Example: initiateLocationGraphExportSuccess

    {
      "exportId": "a218f4b2-2dc3-4ea8-af6d-c75fafd62323",
      "exportStatusLink": "/inventory/impex/v1/organizations/391e7478-2d3a-414d-92fd-a2735dabfed2/location-graph/exports/a218f4b2-2dc3-4ea8-af6d-c75fafd62323/status"
    }
  • 400 Invalid request.

    Headers:

    • X-RateLimit-Limit (string) The maximum number of requests permitted per minute.
    • X-RateLimit-Remaining (string) The number of requests remaining in the current rate limit window.
    • X-RateLimit-Reset (string) The time at which the current rate limit window resets in UTC epoch seconds.

    Media type: application/problem+json. Schema: InventoryResponseErrorSchema.

    Example: getLocationGraphExport400

    {
      "type": "about:blank",
      "errorCode": "InvalidRequestParameter",
      "message": "The field 'quantity' is missing from the request body."
    }
  • 403 Organization not authorized.

    Media type: application/json. Schema: NotAuthorized.

    Example: getLocationGraphExport403

    {
      "timestamp": "2020-07-06T18:10:45.927+0000",
      "status": 403,
      "error": "Forbidden",
      "message": "No message available",
      "path": "/inventory/impex/v1/organizations/myOrgId/location-graph/exports"
    }
  • 429 The user has sent too many requests in a given amount of time ("rate limiting")

    Headers:

    • Retry-After (string)

    Media type: application/problem+json. Schema: object.

    • title (string) A short, human-readable summary of the problem type. It will not change from occurrence to occurrence of the problem, except for purposes of localization.
      Example: You do not have enough credit..
    • type (string, required) A URI reference [RFC3986] that identifies the problem type. This specification encourages that, when dereferenced, it provide human-readable documentation for the problem type (e.g., using HTML [W3C.REC-html5-20141028]). When this member is not present, its value is assumed to be "about:blank". It accepts relative URIs; this means that they must be resolved relative to the document's base URI, as per [RFC3986], Section 5.
      Example: https://example.com/probs/out-of-credit.
    • detail (string) A human-readable explanation specific to this occurrence of the problem.
      Example: Your current balance is 30, but that costs 50..
    • instance (string) A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. It accepts relative URIs; this means that they must be resolved relative to the document's base URI, as per [RFC3986], Section 5.
      Example: /account/12345/msgs/abc.

    Example

    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/too-many-requests",
      "title": "Too Many Requests",
      "detail": "You have performed too many requests in a short period of time."
    }